Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.persistence
Class ModificationQueue

    java.lang.Object
      java.io.OutputStream
          de.grogra.util.OutputQueue
              de.grogra.util.HierarchicalQueue
                  de.grogra.persistence.XAQueue
                      de.grogra.persistence.ModificationQueue

All Implemented Interfaces:
  PersistenceOutput, java.io.Closeable, java.io.DataOutput, java.io.Flushable, java.io.ObjectOutput

Direct Known Subclasses:
  PropertyQueue

    public class ModificationQueue

extends XAQueue

Nested Class Summary
`protected class` | `ModificationQueue.Applier`

Nested classes/interfaces inherited from class de.grogra.persistence.XAQueue
`XAQueue.Data, XAQueue.Reader`

Nested classes/interfaces inherited from class de.grogra.util.HierarchicalQueue
`HierarchicalQueue.Cursor`

Field Summary
`static int` | `ADD_BYTE`
`static int` | `ADD_CHAR`
`static int` | `ADD_DOUBLE`
`static int` | `ADD_FLOAT`
`static int` | `ADD_INT`
`static int` | `ADD_LONG`
`static int` | `ADD_SHORT`
`static int` | `AND_BOOLEAN`
`static int` | `AND_BYTE`
`static int` | `AND_CHAR`
`static int` | `AND_INT`
`static int` | `AND_LONG`
`static int` | `AND_SHORT`
`static int` | `DIV_BYTE`
`static int` | `DIV_CHAR`
`static int` | `DIV_DOUBLE`
`static int` | `DIV_FLOAT`
`static int` | `DIV_INT`
`static int` | `DIV_LONG`
`static int` | `DIV_SHORT`
`static int` | `MAKE_PERSISTENT`
`static int` | `MIN_UNUSED_ITEM`
`static int` | `MUL_BYTE`
`static int` | `MUL_CHAR`
`static int` | `MUL_DOUBLE`
`static int` | `MUL_FLOAT`
`static int` | `MUL_INT`
`static int` | `MUL_LONG`
`static int` | `MUL_SHORT`
`static int` | `OR_BOOLEAN`
`static int` | `OR_BYTE`
`static int` | `OR_CHAR`
`static int` | `OR_INT`
`static int` | `OR_LONG`
`static int` | `OR_SHORT`
`static int` | `SET_BOOLEAN`
`static int` | `SET_BYTE`
`static int` | `SET_CHAR`
`static int` | `SET_DOUBLE`
`static int` | `SET_FLOAT`
`static int` | `SET_INT`
`static int` | `SET_LONG`
`static int` | `SET_OBJECT`
`static int` | `SET_SHORT`
`static Type` | `TYPE`
`static int` | `XOR_BOOLEAN`
`static int` | `XOR_BYTE`
`static int` | `XOR_CHAR`
`static int` | `XOR_INT`
`static int` | `XOR_LONG`
`static int` | `XOR_SHORT`

Fields inherited from class de.grogra.persistence.XAQueue
`cache, manager`

Fields inherited from class de.grogra.util.HierarchicalQueue
`BEGIN_LEVEL, IS_FINISHED, ITEM_AND_BITS_MASK, ITEM_MASK, MAX_UNUSED_BIT, MIN_UNUSED_BIT, NEXT_EXISTS, out`

Constructor Summary
`ModificationQueue(PersistenceManager manager)`

Method Summary
`void` | `addByte(PersistenceCapable o, PersistenceField field, int[] indices, byte value)`
`void` | `addChar(PersistenceCapable o, PersistenceField field, int[] indices, char value)`
`void` | `addDouble(PersistenceCapable o, PersistenceField field, int[] indices, double value)`
`void` | `addFloat(PersistenceCapable o, PersistenceField field, int[] indices, float value)`
`void` | `addInt(PersistenceCapable o, PersistenceField field, int[] indices, int value)`
`void` | `addLong(PersistenceCapable o, PersistenceField field, int[] indices, long value)`
`void` | `addShort(PersistenceCapable o, PersistenceField field, int[] indices, short value)`
`void` | `andBoolean(PersistenceCapable o, PersistenceField field, int[] indices, boolean value)`
`void` | `andByte(PersistenceCapable o, PersistenceField field, int[] indices, byte value)`
`void` | `andChar(PersistenceCapable o, PersistenceField field, int[] indices, char value)`
`void` | `andInt(PersistenceCapable o, PersistenceField field, int[] indices, int value)`
`void` | `andLong(PersistenceCapable o, PersistenceField field, int[] indices, long value)`
`void` | `andShort(PersistenceCapable o, PersistenceField field, int[] indices, short value)`
`boolean` | `apply(Transaction t)`
`boolean` | `beginManaged(ManageableType type, boolean writeType)`
`protected ModificationQueue.Applier` | `createApplier()`
`void` | `divByte(PersistenceCapable o, PersistenceField field, int[] indices, byte value)`
`void` | `divChar(PersistenceCapable o, PersistenceField field, int[] indices, char value)`
`void` | `divDouble(PersistenceCapable o, PersistenceField field, int[] indices, double value)`
`void` | `divFloat(PersistenceCapable o, PersistenceField field, int[] indices, float value)`
`void` | `divInt(PersistenceCapable o, PersistenceField field, int[] indices, int value)`
`void` | `divLong(PersistenceCapable o, PersistenceField field, int[] indices, long value)`
`void` | `divShort(PersistenceCapable o, PersistenceField field, int[] indices, short value)`
`void` | `makePersistent(PersistenceCapable pc, long id)`
`void` | `mulByte(PersistenceCapable o, PersistenceField field, int[] indices, byte value)`
`void` | `mulChar(PersistenceCapable o, PersistenceField field, int[] indices, char value)`
`void` | `mulDouble(PersistenceCapable o, PersistenceField field, int[] indices, double value)`
`void` | `mulFloat(PersistenceCapable o, PersistenceField field, int[] indices, float value)`
`void` | `mulInt(PersistenceCapable o, PersistenceField field, int[] indices, int value)`
`void` | `mulLong(PersistenceCapable o, PersistenceField field, int[] indices, long value)`
`void` | `mulShort(PersistenceCapable o, PersistenceField field, int[] indices, short value)`
`void` | `orBoolean(PersistenceCapable o, PersistenceField field, int[] indices, boolean value)`
`void` | `orByte(PersistenceCapable o, PersistenceField field, int[] indices, byte value)`
`void` | `orChar(PersistenceCapable o, PersistenceField field, int[] indices, char value)`
`void` | `orInt(PersistenceCapable o, PersistenceField field, int[] indices, int value)`
`void` | `orLong(PersistenceCapable o, PersistenceField field, int[] indices, long value)`
`void` | `orShort(PersistenceCapable o, PersistenceField field, int[] indices, short value)`
`void` | `setBoolean(PersistenceCapable o, PersistenceField field, int[] indices, boolean value)`
`void` | `setByte(PersistenceCapable o, PersistenceField field, int[] indices, byte value)`
`void` | `setChar(PersistenceCapable o, PersistenceField field, int[] indices, char value)`
`void` | `setDouble(PersistenceCapable o, PersistenceField field, int[] indices, double value)`
`void` | `setFloat(PersistenceCapable o, PersistenceField field, int[] indices, float value)`
`void` | `setInt(PersistenceCapable o, PersistenceField field, int[] indices, int value)`
`void` | `setLong(PersistenceCapable o, PersistenceField field, int[] indices, long value)`
`void` | `setObject(PersistenceCapable o, PersistenceField field, int[] indices, java.lang.Object value)`
`void` | `setShort(PersistenceCapable o, PersistenceField field, int[] indices, short value)`
`void` | `xorBoolean(PersistenceCapable o, PersistenceField field, int[] indices, boolean value)`
`void` | `xorByte(PersistenceCapable o, PersistenceField field, int[] indices, byte value)`
`void` | `xorChar(PersistenceCapable o, PersistenceField field, int[] indices, char value)`
`void` | `xorInt(PersistenceCapable o, PersistenceField field, int[] indices, int value)`
`void` | `xorLong(PersistenceCapable o, PersistenceField field, int[] indices, long value)`
`void` | `xorShort(PersistenceCapable o, PersistenceField field, int[] indices, short value)`

Methods inherited from class de.grogra.persistence.XAQueue
`beginArray, beginField, beginFields, clear, createData, endArray, endField, endFields, endManaged, getPersistenceManager, setNested, writeComponentSeparator, writeName, writeNullObject, writeObject, writePersistentObjectReference, writeSharedObjectReference, writeString, writeStringObject`

Methods inherited from class de.grogra.util.HierarchicalQueue
`beginLevel, beginSkipBlock, cloneData, discardLevel, endLevel, endSkipBlock, getCursor, getData, hasItems, hasItemsInCurrentLevel, moveTo, restore, setItemSize, writeItem, writeObject, writeObjectInStream`

Methods inherited from class de.grogra.util.OutputQueue
`close, dump, flush, write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeObjectInQueue, writeShort, writeUTF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.PersistenceOutput
`writeBoolean, writeByte, writeChar, writeDouble, writeFloat, writeInt, writeLong, writeShort`

Methods inherited from interface java.io.ObjectOutput
`close, flush, write, write, write`

Methods inherited from interface java.io.DataOutput
`writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Field Detail

### ADD_BYTE

    public static final int ADD_BYTE

See Also:
  Constant Field Values

### ADD_CHAR

    public static final int ADD_CHAR

See Also:
  Constant Field Values

### ADD_DOUBLE

    public static final int ADD_DOUBLE

See Also:
  Constant Field Values

### ADD_FLOAT

    public static final int ADD_FLOAT

See Also:
  Constant Field Values

### ADD_INT

    public static final int ADD_INT

See Also:
  Constant Field Values

### ADD_LONG

    public static final int ADD_LONG

See Also:
  Constant Field Values

### ADD_SHORT

    public static final int ADD_SHORT

See Also:
  Constant Field Values

### AND_BOOLEAN

    public static final int AND_BOOLEAN

See Also:
  Constant Field Values

### AND_BYTE

    public static final int AND_BYTE

See Also:
  Constant Field Values

### AND_CHAR

    public static final int AND_CHAR

See Also:
  Constant Field Values

### AND_INT

    public static final int AND_INT

See Also:
  Constant Field Values

### AND_LONG

    public static final int AND_LONG

See Also:
  Constant Field Values

### AND_SHORT

    public static final int AND_SHORT

See Also:
  Constant Field Values

### DIV_BYTE

    public static final int DIV_BYTE

See Also:
  Constant Field Values

### DIV_CHAR

    public static final int DIV_CHAR

See Also:
  Constant Field Values

### DIV_DOUBLE

    public static final int DIV_DOUBLE

See Also:
  Constant Field Values

### DIV_FLOAT

    public static final int DIV_FLOAT

See Also:
  Constant Field Values

### DIV_INT

    public static final int DIV_INT

See Also:
  Constant Field Values

### DIV_LONG

    public static final int DIV_LONG

See Also:
  Constant Field Values

### DIV_SHORT

    public static final int DIV_SHORT

See Also:
  Constant Field Values

### MAKE_PERSISTENT

    public static final int MAKE_PERSISTENT

See Also:
  Constant Field Values

### MIN_UNUSED_ITEM

    public static final int MIN_UNUSED_ITEM

See Also:
  Constant Field Values

### MUL_BYTE

    public static final int MUL_BYTE

See Also:
  Constant Field Values

### MUL_CHAR

    public static final int MUL_CHAR

See Also:
  Constant Field Values

### MUL_DOUBLE

    public static final int MUL_DOUBLE

See Also:
  Constant Field Values

### MUL_FLOAT

    public static final int MUL_FLOAT

See Also:
  Constant Field Values

### MUL_INT

    public static final int MUL_INT

See Also:
  Constant Field Values

### MUL_LONG

    public static final int MUL_LONG

See Also:
  Constant Field Values

### MUL_SHORT

    public static final int MUL_SHORT

See Also:
  Constant Field Values

### OR_BOOLEAN

    public static final int OR_BOOLEAN

See Also:
  Constant Field Values

### OR_BYTE

    public static final int OR_BYTE

See Also:
  Constant Field Values

### OR_CHAR

    public static final int OR_CHAR

See Also:
  Constant Field Values

### OR_INT

    public static final int OR_INT

See Also:
  Constant Field Values

### OR_LONG

    public static final int OR_LONG

See Also:
  Constant Field Values

### OR_SHORT

    public static final int OR_SHORT

See Also:
  Constant Field Values

### SET_BOOLEAN

    public static final int SET_BOOLEAN

See Also:
  Constant Field Values

### SET_BYTE

    public static final int SET_BYTE

See Also:
  Constant Field Values

### SET_CHAR

    public static final int SET_CHAR

See Also:
  Constant Field Values

### SET_DOUBLE

    public static final int SET_DOUBLE

See Also:
  Constant Field Values

### SET_FLOAT

    public static final int SET_FLOAT

See Also:
  Constant Field Values

### SET_INT

    public static final int SET_INT

See Also:
  Constant Field Values

### SET_LONG

    public static final int SET_LONG

See Also:
  Constant Field Values

### SET_OBJECT

    public static final int SET_OBJECT

See Also:
  Constant Field Values

### SET_SHORT

    public static final int SET_SHORT

See Also:
  Constant Field Values

### TYPE

    public static final Type TYPE

### XOR_BOOLEAN

    public static final int XOR_BOOLEAN

See Also:
  Constant Field Values

### XOR_BYTE

    public static final int XOR_BYTE

See Also:
  Constant Field Values

### XOR_CHAR

    public static final int XOR_CHAR

See Also:
  Constant Field Values

### XOR_INT

    public static final int XOR_INT

See Also:
  Constant Field Values

### XOR_LONG

    public static final int XOR_LONG

See Also:
  Constant Field Values

### XOR_SHORT

    public static final int XOR_SHORT

See Also:
  Constant Field Values

Constructor Detail

### ModificationQueue

    public ModificationQueue(PersistenceManager manager)

Method Detail

### addByte

    public void addByte(PersistenceCapable o,
                        PersistenceField field,
                        int[] indices,
                        byte value)

### addChar

    public void addChar(PersistenceCapable o,
                        PersistenceField field,
                        int[] indices,
                        char value)

### addDouble

    public void addDouble(PersistenceCapable o,
                          PersistenceField field,
                          int[] indices,
                          double value)

### addFloat

    public void addFloat(PersistenceCapable o,
                         PersistenceField field,
                         int[] indices,
                         float value)

### addInt

    public void addInt(PersistenceCapable o,
                       PersistenceField field,
                       int[] indices,
                       int value)

### addLong

    public void addLong(PersistenceCapable o,
                        PersistenceField field,
                        int[] indices,
                        long value)

### addShort

    public void addShort(PersistenceCapable o,
                         PersistenceField field,
                         int[] indices,
                         short value)

### andBoolean

    public void andBoolean(PersistenceCapable o,
                           PersistenceField field,
                           int[] indices,
                           boolean value)

### andByte

    public void andByte(PersistenceCapable o,
                        PersistenceField field,
                        int[] indices,
                        byte value)

### andChar

    public void andChar(PersistenceCapable o,
                        PersistenceField field,
                        int[] indices,
                        char value)

### andInt

    public void andInt(PersistenceCapable o,
                       PersistenceField field,
                       int[] indices,
                       int value)

### andLong

    public void andLong(PersistenceCapable o,
                        PersistenceField field,
                        int[] indices,
                        long value)

### andShort

    public void andShort(PersistenceCapable o,
                         PersistenceField field,
                         int[] indices,
                         short value)

### apply

    public boolean apply(Transaction t)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### beginManaged

    public boolean beginManaged(ManageableType type,
                                boolean writeType)

  Specified by:
    `beginManaged` in interface `PersistenceOutput`
  Overrides:
    `beginManaged` in class `XAQueue`

### createApplier

    protected ModificationQueue.Applier createApplier()

### divByte

    public void divByte(PersistenceCapable o,
                        PersistenceField field,
                        int[] indices,
                        byte value)

### divChar

    public void divChar(PersistenceCapable o,
                        PersistenceField field,
                        int[] indices,
                        char value)

### divDouble

    public void divDouble(PersistenceCapable o,
                          PersistenceField field,
                          int[] indices,
                          double value)

### divFloat

    public void divFloat(PersistenceCapable o,
                         PersistenceField field,
                         int[] indices,
                         float value)

### divInt

    public void divInt(PersistenceCapable o,
                       PersistenceField field,
                       int[] indices,
                       int value)

### divLong

    public void divLong(PersistenceCapable o,
                        PersistenceField field,
                        int[] indices,
                        long value)

### divShort

    public void divShort(PersistenceCapable o,
                         PersistenceField field,
                         int[] indices,
                         short value)

### makePersistent

    public void makePersistent(PersistenceCapable pc,
                               long id)

### mulByte

    public void mulByte(PersistenceCapable o,
                        PersistenceField field,
                        int[] indices,
                        byte value)

### mulChar

    public void mulChar(PersistenceCapable o,
                        PersistenceField field,
                        int[] indices,
                        char value)

### mulDouble

    public void mulDouble(PersistenceCapable o,
                          PersistenceField field,
                          int[] indices,
                          double value)

### mulFloat

    public void mulFloat(PersistenceCapable o,
                         PersistenceField field,
                         int[] indices,
                         float value)

### mulInt

    public void mulInt(PersistenceCapable o,
                       PersistenceField field,
                       int[] indices,
                       int value)

### mulLong

    public void mulLong(PersistenceCapable o,
                        PersistenceField field,
                        int[] indices,
                        long value)

### mulShort

    public void mulShort(PersistenceCapable o,
                         PersistenceField field,
                         int[] indices,
                         short value)

### orBoolean

    public void orBoolean(PersistenceCapable o,
                          PersistenceField field,
                          int[] indices,
                          boolean value)

### orByte

    public void orByte(PersistenceCapable o,
                       PersistenceField field,
                       int[] indices,
                       byte value)

### orChar

    public void orChar(PersistenceCapable o,
                       PersistenceField field,
                       int[] indices,
                       char value)

### orInt

    public void orInt(PersistenceCapable o,
                      PersistenceField field,
                      int[] indices,
                      int value)

### orLong

    public void orLong(PersistenceCapable o,
                       PersistenceField field,
                       int[] indices,
                       long value)

### orShort

    public void orShort(PersistenceCapable o,
                        PersistenceField field,
                        int[] indices,
                        short value)

### setBoolean

    public void setBoolean(PersistenceCapable o,
                           PersistenceField field,
                           int[] indices,
                           boolean value)

### setByte

    public void setByte(PersistenceCapable o,
                        PersistenceField field,
                        int[] indices,
                        byte value)

### setChar

    public void setChar(PersistenceCapable o,
                        PersistenceField field,
                        int[] indices,
                        char value)

### setDouble

    public void setDouble(PersistenceCapable o,
                          PersistenceField field,
                          int[] indices,
                          double value)

### setFloat

    public void setFloat(PersistenceCapable o,
                         PersistenceField field,
                         int[] indices,
                         float value)

### setInt

    public void setInt(PersistenceCapable o,
                       PersistenceField field,
                       int[] indices,
                       int value)

### setLong

    public void setLong(PersistenceCapable o,
                        PersistenceField field,
                        int[] indices,
                        long value)

### setObject

    public void setObject(PersistenceCapable o,
                          PersistenceField field,
                          int[] indices,
                          java.lang.Object value)

### setShort

    public void setShort(PersistenceCapable o,
                         PersistenceField field,
                         int[] indices,
                         short value)

### xorBoolean

    public void xorBoolean(PersistenceCapable o,
                           PersistenceField field,
                           int[] indices,
                           boolean value)

### xorByte

    public void xorByte(PersistenceCapable o,
                        PersistenceField field,
                        int[] indices,
                        byte value)

### xorChar

    public void xorChar(PersistenceCapable o,
                        PersistenceField field,
                        int[] indices,
                        char value)

### xorInt

    public void xorInt(PersistenceCapable o,
                       PersistenceField field,
                       int[] indices,
                       int value)

### xorLong

    public void xorLong(PersistenceCapable o,
                        PersistenceField field,
                        int[] indices,
                        long value)

### xorShort

    public void xorShort(PersistenceCapable o,
                         PersistenceField field,
                         int[] indices,
                         short value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD